package require Tcl 8

proc ifneeded {pkg ver dir} {
    global tcl_platform
    if {[info exists tcl_platform(debug)]} {
	set dbgx d
    } else {
	set dbgx ""
    }
    rename ifneeded ""

    regsub {\.} [info tclversion] {} tver

    set dll $pkg$tver$dbgx
    regsub {\.} $dll {} dll

    package ifneeded $pkg $ver [list load [file join $dir $dll.dll]]
}

ifneeded ldap 3.0 $dir
#
# Backward compatibility (should go away once EDS migrate to RC3+)
#
package ifneeded tdap 3.0 {
	package require ldap 3.0
	package provide tdap 3.0
}
